from _cosmotool import *
from grafic import writeGrafic
from borg import read_borg_vol


class SimulationBare(PySimulationBase):

  def __init__(self):
    pass
        
  def getPositions(self):
    return self.positions
    
  def getVelocities(self):
    return self.velocities
    
  def getIdentifiers(self):
    return self.identifiers

  def getTime(self):
    return self.time
    
  def getHubble(self):
    return self.Hubble

  def getBoxsize(self):
    return self.boxsize

  def getOmega_M(self):
    return self.Omega_M

  def getOmega_Lambda(self):
    return self.Omega_Lambda


def simpleWriteGadget(filename, positions, boxsize=1.0, Hubble=100, Omega_M=0.30, time=1, velocities=None, identifiers=None):

  s = SimulationBare()
  
  s.positions = positions
  
  if velocities:
    s.velocities = velocities
  else:
    s.velocities = [np.zeros(positions[0].size,dtype=np.float32)]*3
    
  if identifiers:
    s.identifiers = identifiers
  else:
    s.identifiers = np.arange(positions[0].size, dtype=np.int64)
    
  s.Hubble = Hubble
  s.time = time
  s.Omega_M = Omega_M
  s.Omega_Lambda = 1-Omega_M
  s.boxsize = boxsize
    
  writeGadget(filename, s)
